Skip to content

Get SSH verify session

GET
/api/v1/ssh/verify/sessions/{session}/
session
required

The ID of the session.

string

The ID of the session.

OK

object
$schema

A URL to the JSON Schema for this object.

string format: uri
connection_identifier
required

The username used to connect to the SSH server. This is used to identify the session.

string
connections
required

The connections that connected to this session.

array | null
object
client_version
required

The client version of the SSH connection.

string
created_at
required

The time when the public key was created.

string format: date-time
id
required

The ID of the public key.

string
ip_address
required

The IP address of the SSH connection.

string
keys
required

The public keys that have been collected.

array | null
object
external_id
required

The external ID of the public key. Can be used to connect sessions to other systems.

string | null
id
required

The ID of the public key.

string
name
required

The name of the public key.

string | null
public_key_algorithm
required

The algorithm of the public key.

string
public_key_md5
required

The MD5 hash of the public key.

string
public_key_pem
required

The public key in PEM format.

string
public_key_sha256
required

The SHA256 hash of the public key.

string
public_key_ssh
required

The public key in SSH(RFC4716) format.

string
verified_at
required

The time when the public key was verified.

string | null format: date-time
created_at
required

The time when the session was created.

string format: date-time
expired_at
required

The time when the session expires. Cannot be used in combination with timeout.

string | null format: date-time
external_id
required

The external ID of the session. Can be used to connect sessions to other systems.

string | null
id
required

The ID of the session.

string
keys
required

The public keys to be verified. When multiple keys are provided, the session is marked as verified when one key has been verified.

array | null
object
external_id
required

The external ID of the public key. Can be used to connect sessions to other systems.

string | null
id
required

The ID of the public key.

string
name
required

The name of the public key.

string | null
public_key_algorithm
required

The algorithm of the public key.

string
public_key_md5
required

The MD5 hash of the public key.

string
public_key_pem
required

The public key in PEM format.

string
public_key_sha256
required

The SHA256 hash of the public key.

string
public_key_ssh
required

The public key in SSH(RFC4716) format.

string
verified_at
required

The time when the public key was verified.

string | null format: date-time
match_all_keys
required

When enabled, the verification only succeed when a connection can verify all specified keys.

boolean
max_attempts
required

The maximum number of attempts to verify the key.

integer format: int32
default: 1 >= 1
multi_connection
required

When enabled, the session continues verifying keys after the first connection. The session will also not be marked as completed on successful verification.

boolean
multi_key
required

When enabled, multiple keys of the user will checked, instead of the first matching one.

boolean
must_confirm
required

When enabled, the user has to confirm the verification by pressing y on the SSH client.

boolean
ssh_banner
required

The SSH banner to show when connecting to the session.

string | null
ssh_message
required

The SSH message to show after connecting to the session.

string | null
status
required

The status of the session.

string
Allowed values: pending verified failed
updated_at
required

The time when the session was updated.

string format: date-time
webhooks
required

The webhooks to call when the session is updated.

array | null
object
$schema

A URL to the JSON Schema for this object.

string format: uri
backoff_multiplier

The multiplier to use when calculating the backoff time.

number format: double
default: 2 >= 1
events

The events to trigger the webhook for. If none are provided, all events are triggered.

array | null
Allowed values: failed_attempt verified status_changed new_connection
headers

The headers to include in the request.

object
key
additional properties
array | null
id
required

The ID of the webhook.

string
initial_backoff

The initial time in seconds to wait before retrying the webhook.

integer format: int64
default: 10 >= 1
method

The HTTP method to use.

string
default: post
Allowed values: post put patch
retries

The maximum number of retries.

integer format: int32
0
url
required

The webhook URL to call.

string

Error

object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

array | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank